GWTextInternal::Token Struct Reference

Internal and low level: structure which stores a token for GWText. More...

## Public Member Functions

| Token ()
| constructor More...
std::string | getDTFormat () const
| returns a field format More...
bool | sendTo (MWAWContentListener &listener) const
| try to send the token to the listener More...

## Public Attributes

int | m_type
| the token type More...
int | m_format
| the token format More...
MWAWEntry | m_pictEntry
| the picture entry More...
long | m_dataSize
| the picture data size More...
Vec2f | m_dim
| the picture dimension More...
uint32_t | m_date
| the token date (0xFFFFFFFF means actual date) More...
std::string | m_extra
| extra data More...

## Friends

std::ostream & | operator<< (std::ostream &o, Token const &tkn)
| operator<< More...

## Detailed Description

Internal and low level: structure which stores a token for GWText.

## Constructor & Destructor Documentation

GWTextInternal::Token::Token | ( |  | ) |

inline

constructor

## Member Function Documentation

std::string GWTextInternal::Token::getDTFormat | ( |  | ) | const

returns a field format

Referenced by GWTextInternal::operator<<(), and sendTo().

bool GWTextInternal::Token::sendTo | ( | MWAWContentListener & | listener | ) | const

try to send the token to the listener

Referenced by GWText::sendZone().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Token const & | tkn
| ) |  |

friend

operator<<

## Member Data Documentation

long GWTextInternal::Token::m_dataSize

the picture data size

Referenced by GWTextInternal::operator<<(), GWText::readToken(), and GWText::readZone().

uint32_t GWTextInternal::Token::m_date

the token date (0xFFFFFFFF means actual date)

Referenced by GWTextInternal::operator<<(), and GWText::readToken().

Vec2f GWTextInternal::Token::m_dim

the picture dimension

Referenced by GWTextInternal::operator<<(), GWText::readToken(), and GWText::sendZone().

std::string GWTextInternal::Token::m_extra

extra data

Referenced by GWTextInternal::operator<<(), and GWText::readToken().

int GWTextInternal::Token::m_format

the token format

Referenced by getDTFormat(), GWTextInternal::operator<<(), GWText::readToken(), and sendTo().

MWAWEntry GWTextInternal::Token::m_pictEntry

the picture entry

Referenced by GWText::readZone(), and GWText::sendZone().

int GWTextInternal::Token::m_type

the token type

Referenced by getDTFormat(), GWTextInternal::operator<<(), GWText::readToken(), GWText::readZone(), sendTo(), and GWText::sendZone().

The documentation for this struct was generated from the following file:

- GWText.cxx